_Ecore_Event_Mouse_IO Struct Reference
Ecore Input

Contains information about an Ecore mouse input/output event. More...

`#include <Ecore_Input.h>`

## Data Fields

Ecore_Window | window
| The main window where event happened.
Ecore_Window | event_window
| The child window where event happened.
unsigned int | timestamp
| Time when the event occurred.
unsigned int | modifiers
| The combination of modifiers key (SHIFT,CTRL,ALT,..).
int | x
| x coordinate relative to window where event happened
int | y
| y coordinate relative to window where event happened
Eo * | dev
| The Efl_Input_Device that originated the event.

## Detailed Description

Contains information about an Ecore mouse input/output event.

## Field Documentation

## dev

Eo* _Ecore_Event_Mouse_IO::dev

The Efl_Input_Device that originated the event.

Since
  1.19